From: Eric Kuzmenko <eric.kuzmenko@puri.sm>
Date: Wed, 8 May 2019 09:11:46 -0600
Subject: WIP: arm64: dts: librem5-devkit: Add set VINDPM

Due to current spikes during boot the USB-C VBUS can get drawn down too
low causing the bq25890 to reset the board. Allow VBUS to drop a bit
further to make allowance for thses spikes.

see https://lore.kernel.org/linux-devicetree/20190520180712.32405-1-angus@akkea.ca/

Signed-off-by: Eric Kuzmenko <eric.kuzmenko@puri.sm>
Signed-off-by: Angus Ainslie (Purism) <angus@akkea.ca>
---
 arch/arm64/boot/dts/freescale/imx8mq-librem5-devkit.dts | 2 ++
 1 file changed, 2 insertions(+)

diff --git a/arch/arm64/boot/dts/freescale/imx8mq-librem5-devkit.dts b/arch/arm64/boot/dts/freescale/imx8mq-librem5-devkit.dts
index 0425532..fe43a85 100644
--- a/arch/arm64/boot/dts/freescale/imx8mq-librem5-devkit.dts
+++ b/arch/arm64/boot/dts/freescale/imx8mq-librem5-devkit.dts
@@ -519,6 +519,8 @@ charger@6b { /* bq25896 */
 		ti,boost-voltage = <5000000>; /* 5V */
 		ti,boost-max-current = <50000>; /* 50mA */
 		monitored-battery = <&bat>;
+		ti,use-vinmin-threshold = <1>; /* enable VINDPM */
+		ti,vinmin-threshold = <3900000>; /* 3.9V */
 	};
 };
 
